Subject: bug#14250: 23.1; Files locked by myself

From: "Elrod, David" <[email-masked]>
Date: Tue, 23 Apr 2013 19:55:26 +0000

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Whenever I open a file make a change and then attempt to save
the file I am told that the file is opened by myself.
Whether I choose to Steal the file or Proceed, EVERY time
I do a save (which I do every second or two when I'm writing
code) I get the same prompt that tells me the file is locked
by another user - myself.

This seems to happen no matter what file I open. For example,
when I went to save this email I got the message:
...e/elrodd/emacs_bug.txt locked by elrodd@elrod... (pid 32296) (s, q,
p, ?)?

My home directory is "/home/elrodd".
My loggin is "elrodd".
My computer is "elroddDesk"

I only have one instance of emacs running.

I am running on CentOS 6.4(final).
I see the emacs version information below.

As you can see in the recent messages section below, I have to
repeat the response for every save.

I don't know what else to check, but this sure is aggravating!

David Elrod

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.18.9)
 of 2012-03-01 on c6b18n3.bsys.dev.centos.org
Windowing system distributor `CentOS', version 11.0.11300000
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'target_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: nXML

Minor modes in effect:
  show-paren-mode: t
  global-auto-complete-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-h C-h C-h C-h C-h C-h C-h o p <backspace> <backspace>
w e b <tab> <tab> p a g e N <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> / P
a g e N <tab> <tab> o v <tab> <return> C-s w e a t
h e r C-s C-s C-s C-s C-s C-s C-s C-s C-a C-p <return>
s < ! - - C-n C-n C-n C-n C-n C-n C-n C-e <return>
- - > C-x C-s s C-x b <return> C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-a C-l C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-x b <return>
ESC < C-s s i t e _ g r a p h C-s C-x b <return> C-x
b <return> ESC < C-s w e a t h e r U s a g e C-p C-s
w e a t h e r D e t a i l s L i n k C-s C-s C-s C-s
C-p C-a C-SPC C-n C-n C-n C-w s C-s C-s C-a C-k C-k
C-s C-s C-p C-p C-p C-p C-a C-SPC C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-w C-s C-g C-x C-s s C-x b <return>
C-x C-x C-g C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-SPC C-n C-n
C-w ? p C-x C-s p C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-SPC C-n C-n C-n C-w s C-x
C-s s SPC s ESC x r e p o r t - e m a c s - b u g
<return>

Recent messages:
...v001/pageNetConfig.xml locked by elrodd@elrodd... (pid 32296): (s, q, p, ?)?  [2 times]
Saving file /home/elrodd/src/.../pageNetConfig.xml...
...v001/pageNetConfig.xml locked by elrodd@elrodd... (pid 32296): (s, q, p, ?)?
Wrote /home/elrodd/src/.../pageNetConfig.xml
Mark set
...v001/pageNetConfig.xml locked by elrodd@elrodd... (pid 32296): (s, q, p, ?)?
Saving file /home/elrodd/src/.../pageNetConfig.xml...
...v001/pageNetConfig.xml locked by elrodd@elrodd... (pid 32296): (s, q, p, ?)?
Wrote /home/elrodd/src/.../pageNetConfig.xml
...v001/pageNetConfig.xml locked by elrodd@elrodd... (pid 32296): (s, q, p, ?)?